Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059923 - Targeted policy does not allow libreswan to check for the pid of unbound
Summary: Targeted policy does not allow libreswan to check for the pid of unbound
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-31 00:08 UTC by Patrick Uiterwijk
Modified: 2015-12-26 22:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:53:55 UTC


Attachments (Terms of Use)

Description Patrick Uiterwijk 2014-01-31 00:08:37 UTC
Description of problem:
In the _updown.netkey script in libreswan, an attempt is made to determine if unbound is running using "pidof unbound", but this check seems to fail because of selinux (setenforce 0 solves the issue).
When I disable this check, it continues succesfully, so it seems this is the only problem.
The line that doesn't work is line 204 of /usr/libexec/ipsec/_updown.netkey
The audit.log does not contain anything with success=no.


Version-Release number of selected component (if applicable):
libreswan.x86_64 3.8-1.fc20
selinux-policy-targeted.noarch3.12.1-119.fc20

How reproducible:
It happens every time I try to bring the connection up (ipsec auto --up ....).


Steps to Reproduce:
1. Configure a connection and secret in /etc/ipsec.{conf,secrets}
2. Do an ipsec auto --up <connection>

Actual results:
003 "redhat" #2: up-client command exited with status 1
032 "redhat" #2: STATE_QUICK_I1: internal error


Expected results:
An updated unbound config with the forwarder added.


Additional info:
This happens when running unbound with dnssec-triggerd (because as such it cannot modify resolv.conf when it thinks unbound cannot start).

Comment 1 Miroslav Grepl 2014-01-31 07:10:04 UTC
Could you attach AVC msgs?

Re-test in permissive and run

# ausearch -m avc -ts recent

Comment 2 Fedora End Of Life 2015-05-29 10:45:12 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 14:53:55 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.